#ifndef __CUSTSPLT_H__
#define __CUSTSPLT_H__

class CCustSplitterWnd: public CSplitterWnd
{
DECLARE_DYNAMIC(CCustSplitterWnd)
    int m_nMapMode; 
    SIZE m_sizeTotal, m_sizePage, m_sizeLine;
    BOOL m_bSplit;
public:
    BOOL Create( CWnd* pParentWnd, int nMaxRows, int nMaxCols, SIZE sizeMin, CCreateContext* pContext, DWORD dwStyle = WS_CHILD | WS_VISIBLE |WS_HSCROLL | WS_VSCROLL | SPLS_DYNAMIC_SPLIT, UINT nID = AFX_IDW_PANE_FIRST );
  
    CCustSplitterWnd(){m_bSplit=TRUE;};
	afx_msg void OnSplit();
	afx_msg void OnUpdateSplit(CCmdUI* pCmdUI);
    BOOL &SplitWindow(void){return m_bSplit;};
#ifndef _WIN32
	void SetScrollStyle( DWORD   );
#endif
    virtual BOOL DoKeyboardSplit( );


// Generated message map functions
protected:
    //{{AFX_MSG(CCustSplitterWnd)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif

